<?php
$wp_customize->add_section(
   'mobile_menu_options' ,
    array(
        'title' => __( 'Mobile Menu Options', 'bloglex' ),
        'panel' => 'header_options_panel',
    )
);

$wp_customize->add_setting(
    'bloglex_options[enable_social_mobile_menu]',
    array(
        'default'           => $bloglex_default['enable_social_mobile_menu'],
        'sanitize_callback' => 'bloglex_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'bloglex_options[enable_social_mobile_menu]',
    array(
        'label'         => esc_html__( 'Social Menu to Display in Mobile', 'bloglex' ),
        'section'     => 'mobile_menu_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'bloglex_options[select_mobile_social_menu_style]',
    array(
        'default'           => $bloglex_default['select_mobile_social_menu_style'],
        'sanitize_callback' => 'bloglex_sanitize_select',
    )
);
$wp_customize->add_control(
    'bloglex_options[select_mobile_social_menu_style]',
    array(
        'label'         => esc_html__( 'Social Menu Options', 'bloglex' ),
        'section'     => 'mobile_menu_options',
        'type'        => 'select',
        'choices'       => bloglex_social_menu_style(),


    )
);

$wp_customize->add_setting(
    'bloglex_options[enable_mobile_social_nav_border_radius]',
    array(
        'default'           => $bloglex_default['enable_mobile_social_nav_border_radius'],
        'sanitize_callback' => 'bloglex_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'bloglex_options[enable_mobile_social_nav_border_radius]',
    array(
        'label'    => __( 'Enable Border Radius', 'bloglex' ),
        'section'  => 'mobile_menu_options',
        'type'     => 'checkbox',
    )
);


$wp_customize->add_setting(
    'bloglex_options[enable_copyright_in_menu]',
    array(
        'default'           => $bloglex_default['enable_copyright_in_menu'],
        'sanitize_callback' => 'bloglex_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'bloglex_options[enable_copyright_in_menu]',
    array(
        'label'         => esc_html__( 'Copyright in Mobile', 'bloglex' ),
        'section'     => 'mobile_menu_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_section(
   'streaming_button_options' ,
    array(
        'title' => __( 'Streaming Options', 'bloglex' ),
        'panel' => 'header_options_panel',
    )
);

$wp_customize->add_setting(
    'bloglex_options[enable_streaming_button]',
    array(
        'default'           => $bloglex_default['enable_streaming_button'],
        'sanitize_callback' => 'bloglex_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'bloglex_options[enable_streaming_button]',
    array(
        'label'         => esc_html__( 'Enable Streaming Button', 'bloglex' ),
        'section'     => 'streaming_button_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'bloglex_options[streaming_button_text]',
    array(
        'default'           => $bloglex_default['streaming_button_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'bloglex_options[streaming_button_text]',
    array(
        'label'    => __( 'Streaming Button Text', 'bloglex' ),
        'section'  => 'streaming_button_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'bloglex_options[streaming_button_url]',
    array(
        'default'           => $bloglex_default['streaming_button_url'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'bloglex_options[streaming_button_url]',
    array(
        'label'    => __( 'Streaming Button URL', 'bloglex' ),
        'section'  => 'streaming_button_options',
        'type'     => 'text',
    )
);
